Authorization
Descope Project ID:Session JWT Project ID:Session JWT as bearer token.
In: header
Request Body
application/json
Validate and parse a user's session JWT.
This endpoint is used to validate a users session using the Project ID and the user's session JWT. Upon successful validate of the user, you will receive the parsed JWT.
When posting to this endpoint from an application, you get the JWT from local or cookie storage, and prepend it with project ID and use that as the bearer.
curl -X POST "https://api.descope.com/v1/auth/validate" \ -H "Content-Type: application/json" \ -d '{}'{ "parsedJWT": {}}export interface Response {parsedJWT?: {}}Sign-Out All Active Sessions POST
### Log the user out from all signed-in sessions This API endpoint will sign the user out of all the devices they are currently signed-in with. Successfully executing this endpoint will invalidate all user's refresh tokens. Response will include all user tokens and fields empty, so client will remove cookies as well.
Finish Authorization Endpoint POST
Third Party application authorization finish endpoint